body, html {
    height: 100%;
    margin: 0;
    font-family: 'Segoe UI', sans-serif;
    background-image: url('./../images/bglogin.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.login-wrapper {
    position: relative;
    z-index: 1;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
}

.login-logo img {
    width: 100%;
    max-height: 126px;
}

.form-control {
    background: transparent;
    border: none;
    border-bottom: 1px solid #fff;
    border-radius: 0;
    color: white;
}

.form-control:focus {
    box-shadow: none;
    border-color: #ccc;
}

.btn-dark {
    background-color: #222;
    border: none;
    width: 100%;
}

.form-container {
    width: 100%;
    max-width: 400px;
    margin-top: 2rem;
    color: white;
}

.form-label {
    text-align: left;
    width: 100%;
    color: white;
    font-size: 0.9rem;
}

::placeholder {
    color: white !important;
    opacity: 1;
}

/* Para compatibilidad con Firefox */
:-ms-input-placeholder {
    color: white !important;
}

::-ms-input-placeholder {
    color: white !important;
}

.form-control {
    background-color: transparent !important;
    border: none;
    border-bottom: 1px solid white;
    border-radius: 0;
    color: white;
    box-shadow: none !important;
}

/* Placeholder en blanco */
.form-control::placeholder {
    color: white !important;
    opacity: 1;
}
.form-control:-ms-input-placeholder {
    color: white !important;
}
.form-control::-ms-input-placeholder {
    color: white !important;
}

/* Al hacer hover o focus */
.form-control:hover,
.form-control:focus {
    background-color: transparent !important;
    color: white;
    border-color: #ccc;
    box-shadow: none !important;
}

/* Previene autocompletado amarillo de Chrome */
input:-webkit-autofill {
    background-color: transparent !important;
    -webkit-box-shadow: 0 0 0px 1000px transparent inset !important;
    -webkit-text-fill-color: white !important;
    transition: background-color 9999s ease-in-out 0s;
}

.footer {
    background-color: #343a40; /* rojo intenso */
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 10;
}